//
//  ASShallowPlayer.h
//  Alphabet Salad
//
//  Created by Marian Goldeen on 3/5/05.
//  Copyright 2005 Marian Goldeen. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class BGTray;

@interface ASShallowPlayer : NSObject {
	NSString *_name;
	NSArray *_foundWords;
	NSColor *_logColor;
	int score;
}

- initWithName:(NSString *)aName;

- (NSString *)name;
- (NSString *)shortName;
- (NSColor *)logColor;
- (int)score;
- (NSString *)scoreString;
- (NSArray *)foundWords;

- (void)setName:(NSString *)newName;
- (void)setScore:(int)newScore;
- (void)setFoundWords:(NSArray *)list;
- (void)setFoundWordsFromPack:(NSArray *)pack forTray:(BGTray *)tray;
- (void)setLogColor:(NSColor *)color;

- (NSComparisonResult)compareScoreWithPlayer:(ASShallowPlayer *)player;

@end
