//
//  BGWord.h
//  Boggo
//
//  Created by Marian Goldeen on 12/4/04.
//  Copyright 2004 Marian Goldeen. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class BGTray;

@interface BGWord : NSObject {
	NSString *_word; 
	NSArray *_path;
	int _score;
	BOOL _allowed;
}

- initWithWord:(NSString *)word;
- initForTray:(BGTray *)tray withDictionary:(NSDictionary *)bgWordRep ;
- (NSArray *)path;
- (NSString *)word;
- (int)score;
- (NSString *)scoreStringValue;

- (NSDictionary *)dictionaryRepresentation;

- (BOOL)allowed;
- (void)setAllowed:(BOOL)flag;

- (void)setPath:(NSArray *)thePath;

@end
