//
//  ASPlayer.h
//  Alphabet Salad
//
//  Created by Marian Goldeen on 2/28/05.
//  Copyright 2005 Marian Goldeen. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#define ASPlayerDisappearedNotification @"ASPlayerDisappearedNotification"
@interface ASPlayer : NSObject {
	id _remote;
	NSString *_name;
	NSMutableArray *_foundWords;
}

- initWithRemote:(id)theRemote named:(NSString *)theName;

//- remote;
- (int)score;
- (NSString *)name;
- (NSMutableArray *)foundWords;
- (NSArray *)packedFoundWords;
- (BOOL)invokeWithRemoteTargetTheInvocation:(NSInvocation *)invocation;

- (void)setFoundWords:(NSMutableArray *)newArray;
@end
