//
//  BGNode.h
//  Boggo
//
//  Created by Marian Goldeen on 11/18/04.
//  Copyright 2004 Marian Goldeen. All rights reserved.
//

#import <Foundation/Foundation.h>

@class BGDie;

typedef struct _BGNodePair {
	unsigned int x, y;
} BGNodePair;

BGNodePair BGMakeNodePair(unsigned int x, unsigned int y);

@interface BGNode : NSObject {
	BGNodePair _position;
	BGDie *_die;
}

- initWithPosition:(BGNodePair)pair die:(BGDie *)theDie;
- initWithDictionary:(NSDictionary *)rep;

- (BGNodePair)position;
- (int)tag;
- (BGDie *)die;

- setDie:(BGDie *)newDie;

- (NSDictionary *)dictionaryRepresentation;

@end
