//
//  BGTimer.h
//  Boggo
//
//  Created by Marian Goldeen on 12/6/04.
//  Copyright 2004 Marian Goldeen. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#define SECONDS_PER_MINUTE 60.0

static NSString *BGTimeUpNotification=@"Time's up for this boggo game";
static NSString *BGCountdownNotification=@"Countdown for this boggo game";

@interface BGTimer : NSObject {
	int _secondsRemaining;
	int _allowedSeconds;
	
	NSTimer *_countdown;
}

- (int)allowedSeconds;
- (void)setAllowedSeconds:(int)seconds;
- (int)minutes;
- (int)seconds;
- (void)toggle;
- reset;
- (void)start;
- (void)stop;
- (BOOL)stopped;
@end
