//
//  BGTrayView.h
//  Boggo
//
//  Created by Marian Goldeen on 11/20/04.
//  Copyright 2004 Marian Goldeen. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "BGDie.h"

//! Read about drawing and images
//! file:///Developer/ADC%20Reference%20Library/documentation/Cocoa/Conceptual/DrawImages/index.html#//apple_ref/doc/uid/10000080i

@class ASGameDocument;

@interface BGTrayView : NSObject {
	NSMutableDictionary *_letterImages;
	BGDieOrientation _orientation;
	
	ASGameDocument *_document;
}

- initWithDocument:(ASGameDocument *)aDocument;

- (NSImage *)imageForTag:(int)tag;
- (BGDieOrientation)orientation;
- (void)rotateClockwiseQuarterTurn;
- (int)rotatedTagForTag:(int)tag;
- (int)derotatedTagForTag:(int)tag;
@end
